<!DOCTYPE html>
<html>
  <head>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/lodash@4.17.10/lodash.min.js"></script>
  </head>
  <body>
    <div id="app">
      <child> </child>
    </div>

    <script>
      const Child = {
        template: "<div>        <child2></child2></div>",
        mounted() {
          console.log("Child Component Mounted1");
        }
      };
      const Child2 = {
        template: "<div>Child2</div>",
        mounted() {
          console.log("Child Component Mounted2");
        }
      };
      new Vue({
        el: "#app",
        mounted() {
          console.log("Parent Component Mounted");
        },
        components: {
          Child
        }
      });
    </script>
  </body>
</html>
